import { api } from "../index";
import {
  createLabelApi,
  deleteSingleLabelApi,
  getAllLabelApi,
} from "../asyncFunctions/labels";

const labelsApiEndpoints = api.injectEndpoints({
  endpoints: (build) => ({
    createLabel: build.mutation({
      queryFn: createLabelApi,
      invalidatesTags: ["Labels"],
    }),
    getAllLabels: build.query({
      queryFn: getAllLabelApi,
      providesTags: ["Labels"],
    }),
    deleteSingleLabel: build.mutation({
      queryFn: deleteSingleLabelApi,
      invalidatesTags: ["Labels"],
    }),
  }),
});

export const {
  useCreateLabelMutation,
  useGetAllLabelsQuery,
  useDeleteSingleLabelMutation,
} = labelsApiEndpoints;
