import { m } from "framer-motion";
import { Link as RouterLink } from "react-router-dom";
// @mui
import { styled } from "@mui/material/styles";
import { Box, Button, Typography, Container } from "@mui/material";
// components
import Page from "./Page";

// ----------------------------------------------------------------------

const RootStyle = styled("div")(({ theme }) => ({
  display: "flex",
  minHeight: "100%",
  alignItems: "center",
  paddingTop: theme.spacing(15),
  paddingBottom: theme.spacing(10),
}));

// ----------------------------------------------------------------------

export default function Page404() {
  return (
    <Page title="404 Page Not Found" sx={{ height: 1 }}>
      <RootStyle>
        <Container>
          <Box sx={{ maxWidth: 480, margin: "auto", textAlign: "center" }}>
            <Typography variant="h3" paragraph>
              "Sorry, page was not found!"
            </Typography>

            <Typography sx={{ color: "text.secondary" }}>
              We couldn’t find the page you’re looking for. Perhaps you’ve
              mistyped the URL? Be sure to check your spelling.
            </Typography>

            <Button
              to="/"
              size="large"
              variant="contained"
              component={RouterLink}
              aria-label="Go home"
            >
              Go Home
            </Button>
          </Box>
        </Container>
      </RootStyle>
    </Page>
  );
}
