import Iconify from "components/Iconify";
import { CONTACTS_ROUTES } from "routes/paths";
import { useGetAllLabelsQuery } from "api/labels";
import { Label } from "types";

export const NavConfigFunction = () => {
  const { data: labels, isLoading: labelIsLoading } =
    useGetAllLabelsQuery(undefined);

  const labelItems =
    labels?.map((label: Label) => {
      return {
        title: label.name,
        path: `${CONTACTS_ROUTES.labels}/${label.name}`.toLocaleLowerCase(),
        icon: (
          <Iconify key="bookmark" icon={"material-symbols:bookmark-outline"} />
        ),
        labelId: label.labelsid,
      };
    }) || [];

  const navConfig = [
    {
      subheader: "",
      items: [
        {
          title: "All",
          path: `${CONTACTS_ROUTES.list}`,
          icon: <Iconify icon={"fluent-mdl2:contact"} />,
        },
        {
          title: "Favorites",
          path: `${CONTACTS_ROUTES.favorites}`,
          icon: <Iconify icon={"ic:baseline-star"} />,
        },
      ],
    },

    // MANAGEMENT
    // ----------------------------------------------------------------------
    {
      subheader: "Labels",
      items: [...labelItems],
      isLoading: labelIsLoading,
    },
  ];

  return navConfig;
};
